# cldr-data-extjs-classifier

A Node.js tool to convert [Unicode CLDR JSON][] data file to [Ext JS][] class.

[Unicode CLDR JSON]: http://cldr.unicode.org/index/cldr-spec/json
[Ext JS]: http://www.sencha.com/products/extjs/

## Usage

    $ npm install cldr-data-extjs-classifier

Using the CLI:

    $ ./node_modules/.bin/cldr-data-extjs-classifier \
      --in resources/cldr-data/supplemental\likelySubtags.json \
      --out app/localization\cldr\supplemental\LikelySubtags.js \
      --class App.localization.cldr.supplemental.LikelySubtags

Result file:

```javascript
Ext.define('App.localization.cldr.supplemental.LikelySubtags', {
    singleton: true,
    data: {
        "supplemental": {
            "version": {
                "_unicodeVersion": "7.0.0",
                "_number": "$Revision: 11318 $"
            },
            "generation": {
                "_date": "$Date: 2015-02-25 23:47:56 -0600 (Wed, 25 Feb 2015) $"
            },
            "likelySubtags": {
                "aa": "aa-Latn-ET",
                "ab": "ab-Cyrl-GE",
                "abr": "abr-Latn-GH",
                "ace": "ace-Latn-ID",
                ...
```