var intel = require('intel');

var formatter = new intel.Formatter({
	format: '[%(date)s] %(name)s.%(levelname)s: %(message)s',
	datefmt: '%Y-%m-%d %H:%M:%S.%L',
	colorize: true
});

function loggerFactory(name) {
	"use strict";
	var logger = intel.getLogger(name);
	logger.propagate = false;
	logger.addHandler(new intel.handlers.Console({level: intel.TRACE, formatter: formatter}));
	return logger;
}

module.exports = {
	create: loggerFactory
};